PHPoole/library is an intuitive PHP library to create a static website.
PHP HTML Shell
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.circleci
docs
res/layouts
scripts
src
tests
.codeclimate.yml
.editorconfig
.gitattributes
.gitignore
.scrutinizer.yml
.travis.yml
LICENSE
README.md
codecov.yml
composer.json
composer.lock
phpunit.xml.dist
sami.php

README.md

PHPoole logo PHPoole/library

An intuitive PHP library to create a static website.

Build Status Latest Stable Version License
Scrutinizer Code Quality Codacy Badge Maintainability StyleCI SensioLabsInsight Coverage Status

PHPoole/library is the core library of PHPoole CLI.

Requirements

PHPoole/library require PHP 7.1+.

Please see the composer.json file for details.

Installation

Run the following command:

composer require phpoole/library

Usage

Please see the documentation on the PHPoole's website.

API documentation

Run the following commands to install Sami and build the API documentation:

composer api-docs-install
composer api-docs-build

Then open docs/api/master/index.html in your browser.

License

PHPoole/library is a free software distributed under the terms of the MIT license.

© Arnaud Ligny
PHPoole logo © Cécile Ricordeau